package com.iamberry.wechat.core.entity.statictics;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;

public class UerActivateInfo implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -5867923857411586680L;
	
	private Integer placeId;				//商户层id
	
	private String placeRoleId;			//角色id

	private String userHead;				//头像
	
	private String userNickname;		//昵称
	
	private String placeName;			//姓名
	
	private String placeArea;				//区域
	
	private Date activateDate;			//激活时间
	
	private Integer isActivate;			//1：激活，2：未激活
	
	private PageBean page = new PageBean(); 								//分页信息

	public Integer getPlaceId() {
		return placeId;
	}

	public void setPlaceId(Integer placeId) {
		this.placeId = placeId;
	}

	public String getPlaceRoleId() {
		return placeRoleId;
	}

	public void setPlaceRoleId(String placeRoleId) {
		this.placeRoleId = placeRoleId;
	}

	public String getUserHead() {
		return userHead;
	}

	public void setUserHead(String userHead) {
		this.userHead = userHead;
	}

	public String getUserNickname() {
		return userNickname;
	}

	public void setUserNickname(String userNickname) {
		this.userNickname = userNickname;
	}

	public String getPlaceName() {
		return placeName;
	}

	public void setPlaceName(String placeName) {
		this.placeName = placeName;
	}

	public String getPlaceArea() {
		return placeArea;
	}

	public void setPlaceArea(String placeArea) {
		this.placeArea = placeArea;
	}

	public Date getActivateDate() {
		return activateDate;
	}

	public void setActivateDate(Date activateDate) {
		this.activateDate = activateDate;
	}

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}

	public Integer getIsActivate() {
		return isActivate;
	}

	public void setIsActivate(Integer isActivate) {
		this.isActivate = isActivate;
	}
	
	
}
